# Generated by Django 3.2.2 on 2021-10-06 14:38

import datetime
from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0010_update_communication_settings'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('communications', '0023_auto_20210929_0930'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='historicalwhatsappmessagemodel',
            name='receiver',
        ),
        migrations.RemoveField(
            model_name='historicalwhatsappmessagemodel',
            name='sender',
        ),
        migrations.RemoveField(
            model_name='whatsappmessagemodel',
            name='receiver',
        ),
        migrations.RemoveField(
            model_name='whatsappmessagemodel',
            name='sender',
        ),
        migrations.CreateModel(
            name='HistoricalEmailMessageModel',
            fields=[
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('message', models.TextField(default='')),
                ('kind', models.PositiveIntegerField(choices=[(0, 'IN'), (1, 'OUT')], default=0)),
                ('status', models.PositiveIntegerField(choices=[(0, 'Enviado'), (1, 'Recibido'), (2, 'Leído')], default=0)),
                ('media_url', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('conversation', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='communications.conversationmodel')),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel')),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical email message model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalEmailConversationTablesModel',
            fields=[
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel')),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical email conversation tables model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='EmailMessageModel',
            fields=[
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('message', models.TextField(default='')),
                ('kind', models.PositiveIntegerField(choices=[(0, 'IN'), (1, 'OUT')], default=0)),
                ('status', models.PositiveIntegerField(choices=[(0, 'Enviado'), (1, 'Recibido'), (2, 'Leído')], default=0)),
                ('media_url', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('conversation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='conversation', to='communications.conversationmodel')),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='communications_emailmessagemodel_creator', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel')),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='communications_emailmessagemodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='EmailConversationTablesModel',
            fields=[
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='communications_emailconversationtablesmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel')),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='communications_emailconversationtablesmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
